<?xml version="1.0" encoding="UTF-8"?>
<xmi:XMI xmi:version="20131001" xmlns:xmi="http://www.omg.org/spec/XMI/20131001" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:Ecore="http://www.eclipse.org/uml2/schemas/Ecore/5" xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" xmlns:uml="http://www.eclipse.org/uml2/5.0.0/UML" xsi:schemaLocation="http://www.eclipse.org/uml2/schemas/Ecore/5 pathmap://UML_PROFILES/Ecore.profile.uml#_z1OFcHjqEdy8S4Cr8Rc_NA">
  <uml:Profile xmi:id="_JZ55MIr3Eeuf2siuKNDm8w" name="OPC_UA_Robotics_CS" metaclassReference="_MdsaUIr3Eeuf2siuKNDm8w _VK_lgMIJEeufC8FGusw1Kw _YiHscMknEeuRXJeYcTAMpA _hJ9QEFwTEeygmr7_MDwSmQ">
    <ownedComment xmi:type="uml:Comment" xmi:id="_23zfoL7uEeufC8FGusw1Kw" annotatedElement="_HL5E4JLLEeufaYkbpo6f0A">
      <body>The LoadType is for describing loads mounted on the motion device.&#xD;
A very common mounting point is the flange of a motion device.&#xD;
Typically a motion device has additional mounting points on some of the axis. The provided values can either&#xD;
be determined by the robot controller or can be set up by an operator.</body>
    </ownedComment>
    <ownedComment xmi:type="uml:Comment" xmi:id="_iAILAMeSEeuRXJeYcTAMpA" annotatedElement="_NjlmsL-BEeufC8FGusw1Kw">
      <body>– Variable BrakeReleased: The BrakeReleased is an optional variable used only for motors with brakes. If&#xD;
BrakeReleased is TRUE the motor is free to run. FALSE means that the motor shaft is locked by the brake.&#xD;
– Variable MotorTemperature: The MotorTemperature provides the temperature of the motor. If there is no&#xD;
temperature sensor the value is set to “null”.&#xD;
– Variable EffectiveLoadRate: EffectiveLoadRate is expressed as a percentage of maximum continuous load.&#xD;
The Joule integral is typically used to calculate the current load</body>
    </ownedComment>
    <ownedComment xmi:type="uml:Comment" xmi:id="_8KkeoMeSEeuRXJeYcTAMpA" annotatedElement="_V5xxcL7EEeufC8FGusw1Kw">
      <body>– Variable :The TotalPowerOnTime variable provides the total accumulated time the controller was powered on.&#xD;
– Variable StartUpTime: The StartUpTime variable provides the date and time of the last start-up of the controller.&#xD;
– Variable UpsState: The UpsState variable provides the vendor specific status of an integrated uninterruptible power supply or accumulator system.&#xD;
– Variable TotalEnergyConsumption: The TotalEnergyConsumption variable provides total accumulated energy consumed by the motion devices related with this controller instance.&#xD;
– Variable CabinetFanSpeed: The CabinetFanSpeed variable provides the speed of the cabinet fan.&#xD;
– Variable CPUFanSpeed: The CPUFanSpeed variable provides the speed of the CPU fan.&#xD;
– Variable InputVoltage: The InputVoltage variable provides the input voltage of the controller which can be a configured value. To distinguish between an AC or DC supply the optional property Definition of the base type DataItemType shall be used.&#xD;
– Variable Temperature: The Temperature variable provides the controller temperature given by a temperature sensor inside of the controller.</body>
    </ownedComment>
    <ownedComment xmi:type="uml:Comment" xmi:id="_R8MX4MeTEeuRXJeYcTAMpA" annotatedElement="_bd6MgL-BEeufC8FGusw1Kw">
      <body>– Variable TaskProgramName: The TaskProgramName variable provides a customer given identifier for the task program.&#xD;
– Variable TaskProgramLoaded: The TaskProgramLoaded variable is TRUE if a task program is loaded in the task control, FALSE otherwise.&#xD;
– Variable ExecutionMode: The ExecutionMode variable tells how the task control executes the task program.</body>
    </ownedComment>
    <ownedComment xmi:type="uml:Comment" xmi:id="_s-HGEMeTEeuRXJeYcTAMpA" annotatedElement="_osTgcL-BEeufC8FGusw1Kw">
      <body>– Variable OperationalMode: The OperationalMode variable provides information about the current operational mode. Allowed values are described in OperationalModeEnumeration, see ISO 10218-1:2011 Ch.5.7 Operational Modes.&#xD;
– Variable EmergencyStop: The EmergencyStop variable is TRUE if one or more of the emergency stop functions in the robot system are active, FALSE otherwise. If the EmergencyStopFunctions object is provided, then the value of this variable is TRUE if one or more of the listed emergency stop functions are active.&#xD;
– Variable ProtectiveStop: The ProtectiveStop variable is TRUE if one or more of the enabled protective stop functions in the system are active, FALSE otherwise. If the ProtectiveStopFunctions object is provided, then the value of this variable is TRUE if one or more of the listed protective stop functions are enabled and active.</body>
    </ownedComment>
    <ownedComment xmi:type="uml:Comment" xmi:id="_i1dloMeUEeuRXJeYcTAMpA" annotatedElement="_GQdUEMeUEeuRXJeYcTAMpA">
      <body>Other for when there is a system-boot (unknown) or a failure of the safety, there is no valid operational mode.</body>
    </ownedComment>
    <ownedComment xmi:type="uml:Comment" xmi:id="_5vPZwMeUEeuRXJeYcTAMpA" annotatedElement="_qw5q8JLKEeufaYkbpo6f0A">
      <body>OTHER : Any motion-profile which is not defined by the AxisMotionProfileEnumeration&#xD;
ROTARY : Rotary motion is a rotation along a circular path with defined limits. Motion movement is not going always in the same direction. Control unit is mainly degree.&#xD;
ROTARY_ENDLESS : Rotary motion is a rotation along a circular path with no limits. Motion movement is going endless in the same direction. Control unit is mainly degree.&#xD;
LINEAR : Linear motion is a one dimensional motion along a straight line with defined limits. Motion movement is not going always in the same direction. Control unit is mainly mm.&#xD;
LINEAR_ENDLESS : Linear motion is a one dimensional motion along a straight line with no limits. Motion movement is going endless in the same direction. Control unit is mainly mm.</body>
    </ownedComment>
    <ownedComment xmi:type="uml:Comment" xmi:id="_YLVd4MeXEeuRXJeYcTAMpA" annotatedElement="_W_AFIKvhEeu_BIPibcWFsg">
      <body>GearRatio is the transmission ratio of the gear expressed as a fraction as input velocity (motor side) by output velocity (load side).&#xD;
Pitch describes the distance covered in millimeters (mm) for linear motion per one revolution of the output side of the driving unit. Pitch is used in combination with GearRatio to describe the overall transmission from input to output of the gear.&#xD;
&#xD;
&#xD;
IsConnectedTo is a reference to provide the relationship between a motor and a gear of a power train.</body>
    </ownedComment>
    <ownedComment xmi:type="uml:Comment" xmi:id="_rHnFMMeYEeuRXJeYcTAMpA" annotatedElement="_FXpXcFHmEey986b427xQRw">
      <body>– Variable ActualPosition: The ActualPosition variable provides the current position of the axis and may have limits. If the axis has physical limits, the EURange property of the AnalogUnitType shall be provided.&#xD;
– Variable ActualSpeed: The ActualSpeed variable provides the axis speed. Applicable speed limits of the axis shall be provided by the EURange property of the AnalogUnitType&#xD;
– Variable ActualAcceleration: The ActualAcceleration variable provides the axis acceleration. Applicable acceleration limits of the axis shall be provided by the EURange property of the AnalogUnitType.</body>
    </ownedComment>
    <ownedComment xmi:type="uml:Comment" xmi:id="_EX-WMMeZEeuRXJeYcTAMpA" annotatedElement="_lJvqoJLJEeufaYkbpo6f0A">
      <body>– Variable OnPath: The variable OnPath is true if the motion device is on or near enough the planned program path such that program execution can continue. If the MotionDevice deviates too much from this path in case of errors or an emergency stop, this value becomes false. If OnPath is false, the motion device needs repositioning to continue program execution.&#xD;
– Variable InControl: The variable InControl provides the information if the actuators (in most cases a motor) of the motion device are powered up and in control: &quot;true&quot;. The motion device might be in a standstill.&#xD;
– Variable SpeedOverride: The SpeedOverride provides the current speed setting in percent of programmed speed (0 - 100%).</body>
    </ownedComment>
    <ownedComment xmi:type="uml:Comment" xmi:id="_fy7PcMeZEeuRXJeYcTAMpA" annotatedElement="_PZnjAJLFEeufaYkbpo6f0A">
      <body>OTHER 		Any motion-device which is not defined by the MotionDeviceCategoryEnumeration &#xD;
ARTICULATED_ROBOT 		This robot design features rotary joints and can range from simple two joint structures to 10 or more joints. The arm is connected to the base with a twisting joint. The links in the arm are connected by rotary joints. &#xD;
SCARA_ROBOT 		Robot has two parallel rotary joints to provide compliance in a selected plane &#xD;
CARTESIAN_ROBOT 		Cartesian robots have three linear joints that use the Cartesian coordinate system (X, Y, and Z). They also may have an attached wrist to allow for rotational movement. The three prismatic joints deliver a linear motion along the axis. &#xD;
SPHERICAL_ROBOT 		The arm is connected to the base with a twisting joint and a combination of two rotary joints and one linear joint. The axes form a polar coordinate system and create a spherical-shaped work envelope. &#xD;
PARALLEL_ROBOT 		These spider-like robots are built from jointed parallelograms connected to a common base. The parallelograms move a single end of arm tooling in a dome-shaped work area. &#xD;
CYLINDRICAL_ROBOT 		The robot has at least one rotary joint at the base and at least one prismatic joint to connect the links. The rotary joint uses a rotational motion along the joint axis, while the prismatic joint moves in a linear motion. Cylindrical robots operate within a cylindrical-shaped work envelope. &#xD;
</body>
    </ownedComment>
    <ownedComment xmi:type="uml:Comment" xmi:id="_A-8dgMecEeuRXJeYcTAMpA" annotatedElement="_Sf0ZgKvgEeu_BIPibcWFsg">
      <body>Moves is a reference to provide the relationship of power trains to axes. For complex kinematics this does not need to be a one to one relationship, because a power train might influence the motion of more than one axis. This reference connects all axis to a power train that that move when only this power train moves and all other powertains stand still.&#xD;
The InverseName is IsMovedBy.&#xD;
HasSlave is a reference to provide the master-slave relationship of power trains which provide torque for a common axis. The InverseName is IsSlaveOf.</body>
    </ownedComment>
    <elementImport xmi:type="uml:ElementImport" xmi:id="_MdsaUIr3Eeuf2siuKNDm8w" alias="Class">
      <importedElement xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#Class"/>
    </elementImport>
    <elementImport xmi:type="uml:ElementImport" xmi:id="_VK_lgMIJEeufC8FGusw1Kw" alias="Association">
      <importedElement xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#Association"/>
    </elementImport>
    <elementImport xmi:type="uml:ElementImport" xmi:id="_YiHscMknEeuRXJeYcTAMpA" alias="Dependency">
      <importedElement xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#Dependency"/>
    </elementImport>
    <elementImport xmi:type="uml:ElementImport" xmi:id="_hJ9QEFwTEeygmr7_MDwSmQ" alias="Property">
      <importedElement xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#Property"/>
    </elementImport>
    <packageImport xmi:type="uml:PackageImport" xmi:id="_Jds0EIr3Eeuf2siuKNDm8w">
      <importedPackage xmi:type="uml:Model" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#_0"/>
    </packageImport>
    <packageImport xmi:type="uml:PackageImport" xmi:id="_JdtbIIr3Eeuf2siuKNDm8w">
      <importedPackage xmi:type="uml:Model" href="pathmap://UML_METAMODELS/UML.metamodel.uml#_0"/>
    </packageImport>
    <packageImport xmi:type="uml:PackageImport" xmi:id="_4ZIPYN8iEeuf_uz3Oaeyuw">
      <importedPackage xmi:type="uml:Profile" href="pathmap://SysML16_PROFILES/SysML.profile.uml#SysML"/>
    </packageImport>
    <packageImport xmi:type="uml:PackageImport" xmi:id="_4ZIPYd8iEeuf_uz3Oaeyuw">
      <importedPackage xmi:type="uml:Profile" href="pathmap://SysML16_PROFILES/SysML.profile.uml#SysML.package_packagedElement_Activities"/>
    </packageImport>
    <packageImport xmi:type="uml:PackageImport" xmi:id="_4ZI2cN8iEeuf_uz3Oaeyuw">
      <importedPackage xmi:type="uml:Profile" href="pathmap://SysML16_PROFILES/SysML.profile.uml#SysML.package_packagedElement_Allocations"/>
    </packageImport>
    <packageImport xmi:type="uml:PackageImport" xmi:id="_4ZI2cd8iEeuf_uz3Oaeyuw">
      <importedPackage xmi:type="uml:Profile" href="pathmap://SysML16_PROFILES/SysML.profile.uml#SysML.package_packagedElement_Blocks"/>
    </packageImport>
    <packageImport xmi:type="uml:PackageImport" xmi:id="_4ZI2ct8iEeuf_uz3Oaeyuw">
      <importedPackage xmi:type="uml:Profile" href="pathmap://SysML16_PROFILES/SysML.profile.uml#SysML.package_packagedElement_ConstraintBlocks"/>
    </packageImport>
    <packageImport xmi:type="uml:PackageImport" xmi:id="_4ZI2c98iEeuf_uz3Oaeyuw">
      <importedPackage xmi:type="uml:Profile" href="pathmap://SysML16_PROFILES/SysML.profile.uml#SysML.package_packagedElement_DeprecatedElements"/>
    </packageImport>
    <packageImport xmi:type="uml:PackageImport" xmi:id="_4ZI2dN8iEeuf_uz3Oaeyuw">
      <importedPackage xmi:type="uml:Profile" href="pathmap://SysML16_PROFILES/SysML.profile.uml#SysML.package_packagedElement_ModelElements"/>
    </packageImport>
    <packageImport xmi:type="uml:PackageImport" xmi:id="_4ZJdgN8iEeuf_uz3Oaeyuw">
      <importedPackage xmi:type="uml:Profile" href="pathmap://SysML16_PROFILES/SysML.profile.uml#SysML.package_packagedElement_Ports_u0026Flows"/>
    </packageImport>
    <packageImport xmi:type="uml:PackageImport" xmi:id="_4ZJdgd8iEeuf_uz3Oaeyuw">
      <importedPackage xmi:type="uml:Profile" href="pathmap://SysML16_PROFILES/SysML.profile.uml#SysML.package_packagedElement_Requirements"/>
    </packageImport>
    <packageImport xmi:type="uml:PackageImport" xmi:id="_MFy9kAsxEeyqwYRDERawgA">
      <importedPackage xmi:type="uml:Profile" href="pathmap://Papyrus_OPC_UA_DI_PROFILE/OPC_UA_DI.profile.uml#_6p0tYN8nEeuf_uz3Oaeyuw"/>
    </packageImport>
    <packageImport xmi:type="uml:PackageImport" xmi:id="_MF2A4AsxEeyqwYRDERawgA">
      <importedPackage xmi:type="uml:Profile" href="pathmap://Papyrus_OPC_UA_DI_PROFILE/OPC_UA.profile.uml#_maf6UO-vEeuxCbW4mH-AcQ"/>
    </packageImport>
    <packagedElement xmi:type="uml:Model" href="OPC_UA_Robotics_CS_Library.library.uml#_gXIgEL-TEeufC8FGusw1Kw"/>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_YN7HIIr3Eeuf2siuKNDm8w" name="MotionDeviceSystemType">
      <generalization xmi:type="uml:Generalization" xmi:id="_XCJWYAsxEeyqwYRDERawgA">
        <general xmi:type="uml:Stereotype" href="pathmap://Papyrus_OPC_UA_DI_PROFILE/OPC_UA_DI.profile.uml#_HUisgN8oEeuf_uz3Oaeyuw"/>
      </generalization>
      <ownedAttribute xmi:type="uml:Property" xmi:id="_6qpaAIr3Eeuf2siuKNDm8w" name="MotionDevices" type="_9UWnMIr3Eeuf2siuKNDm8w">
        <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_KjBn8Ir4Eeuf2siuKNDm8w" value="*"/>
      </ownedAttribute>
      <ownedAttribute xmi:type="uml:Property" xmi:id="_0BPnoIr4Eeuf2siuKNDm8w" name="Controllers" visibility="public" type="_fW77wIr4Eeuf2siuKNDm8w">
        <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_8i4RgIr4Eeuf2siuKNDm8w" value="*"/>
      </ownedAttribute>
      <ownedAttribute xmi:type="uml:Property" xmi:id="_4BUK0Ir4Eeuf2siuKNDm8w" name="SafetyStates" type="_hVbowIr4Eeuf2siuKNDm8w">
        <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_9U1S4Ir4Eeuf2siuKNDm8w" value="*"/>
      </ownedAttribute>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_9UWnMIr3Eeuf2siuKNDm8w" name="MotionDeviceType">
      <generalization xmi:type="uml:Generalization" xmi:id="_WN2ysAsxEeyqwYRDERawgA">
        <general xmi:type="uml:Stereotype" href="pathmap://Papyrus_OPC_UA_DI_PROFILE/OPC_UA_DI.profile.uml#_HUisgN8oEeuf_uz3Oaeyuw"/>
      </generalization>
      <ownedAttribute xmi:type="uml:Property" xmi:id="_GIbrgJLFEeufaYkbpo6f0A" name="MotionDeviceCategory" type="_PZnjAJLFEeufaYkbpo6f0A"/>
      <ownedAttribute xmi:type="uml:Property" xmi:id="_6znWEJLJEeufaYkbpo6f0A" name="ParameterSetMotionDeviceType" type="_lJvqoJLJEeufaYkbpo6f0A"/>
      <ownedAttribute xmi:type="uml:Property" xmi:id="_UZIYsJK_EeufaYkbpo6f0A" name="Axes" type="_hrQVEJLKEeufaYkbpo6f0A">
        <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_Egs64L7GEeufC8FGusw1Kw" value="*"/>
      </ownedAttribute>
      <ownedAttribute xmi:type="uml:Property" xmi:id="_yHAfIKvfEeu_BIPibcWFsg" name="PowerTrains" visibility="public" type="_Sf0ZgKvgEeu_BIPibcWFsg">
        <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_D24YIMKzEeufC8FGusw1Kw" value="*"/>
      </ownedAttribute>
      <ownedAttribute xmi:type="uml:Property" xmi:id="_xz-rIL7HEeufC8FGusw1Kw" name="AdditionalComponents">
        <type xmi:type="uml:Stereotype" href="pathmap://Papyrus_OPC_UA_DI_PROFILE/OPC_UA_DI.profile.uml#_HUisgN8oEeuf_uz3Oaeyuw"/>
        <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_fD1JYL7IEeufC8FGusw1Kw"/>
        <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_fD-6YL7IEeufC8FGusw1Kw" value="*"/>
      </ownedAttribute>
      <ownedAttribute xmi:type="uml:Property" xmi:id="_vY8WoL7IEeufC8FGusw1Kw" name="FlangeLoad" type="_HL5E4JLLEeufaYkbpo6f0A">
        <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_HAemUMKzEeufC8FGusw1Kw"/>
      </ownedAttribute>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_fW77wIr4Eeuf2siuKNDm8w" name="ControllerType">
      <generalization xmi:type="uml:Generalization" xmi:id="_ZVpqEAsxEeyqwYRDERawgA">
        <general xmi:type="uml:Stereotype" href="pathmap://Papyrus_OPC_UA_DI_PROFILE/OPC_UA_DI.profile.uml#_HUisgN8oEeuf_uz3Oaeyuw"/>
      </generalization>
      <ownedAttribute xmi:type="uml:Property" xmi:id="_KOcIgL7AEeu2yND_QpqUMA" name="parameterSetControllerType" type="_V5xxcL7EEeufC8FGusw1Kw"/>
      <ownedAttribute xmi:type="uml:Property" xmi:id="_vPSYoL76EeufC8FGusw1Kw" name="Components">
        <type xmi:type="uml:Stereotype" href="pathmap://Papyrus_OPC_UA_DI_PROFILE/OPC_UA_DI.profile.uml#_HUisgN8oEeuf_uz3Oaeyuw"/>
        <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_CL7o0L77EeufC8FGusw1Kw"/>
        <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_CMC9kL77EeufC8FGusw1Kw" value="*"/>
      </ownedAttribute>
      <ownedAttribute xmi:type="uml:Property" xmi:id="_vuIQwL76EeufC8FGusw1Kw" name="Software">
        <type xmi:type="uml:Stereotype" href="pathmap://Papyrus_OPC_UA_DI_PROFILE/OPC_UA_DI.profile.uml#_0ZIZIN8sEeuf_uz3Oaeyuw"/>
      </ownedAttribute>
      <ownedAttribute xmi:type="uml:Property" xmi:id="_zAO6sL76EeufC8FGusw1Kw" name="TaskControls" type="_4qPQIL76EeufC8FGusw1Kw">
        <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_bf7coL77EeufC8FGusw1Kw" value="*"/>
      </ownedAttribute>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_hVbowIr4Eeuf2siuKNDm8w" name="SafetyStateType">
      <generalization xmi:type="uml:Generalization" xmi:id="_c5CRQAsxEeyqwYRDERawgA">
        <general xmi:type="uml:Stereotype" href="pathmap://Papyrus_OPC_UA_DI_PROFILE/OPC_UA_DI.profile.uml#_HUisgN8oEeuf_uz3Oaeyuw"/>
      </generalization>
      <ownedAttribute xmi:type="uml:Property" xmi:id="_oOtLcL7yEeufC8FGusw1Kw" name="EmergencyStopFunctions" type="_57nSEL7yEeufC8FGusw1Kw">
        <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_YJGkYL7zEeufC8FGusw1Kw"/>
        <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_YJPHQL7zEeufC8FGusw1Kw" value="*"/>
      </ownedAttribute>
      <ownedAttribute xmi:type="uml:Property" xmi:id="_rHqVkL7yEeufC8FGusw1Kw" name="ProtectiveStopFunctions" type="_62vdkL7yEeufC8FGusw1Kw">
        <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_Y4L38L7zEeufC8FGusw1Kw"/>
        <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_Y4Ua0L7zEeufC8FGusw1Kw" value="*"/>
      </ownedAttribute>
      <ownedAttribute xmi:type="uml:Property" xmi:id="_4HWfIL7yEeufC8FGusw1Kw" name="parameterSetSafetyStateType" type="_osTgcL-BEeufC8FGusw1Kw"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Enumeration" xmi:id="_PZnjAJLFEeufaYkbpo6f0A" name="MotionDeviceCategoryEnum">
      <ownedLiteral xmi:type="uml:EnumerationLiteral" xmi:id="_crg24JLFEeufaYkbpo6f0A" name="OTHER"/>
      <ownedLiteral xmi:type="uml:EnumerationLiteral" xmi:id="_R_c80JLFEeufaYkbpo6f0A" name="ARTICULATED_ROBOT"/>
      <ownedLiteral xmi:type="uml:EnumerationLiteral" xmi:id="_US3w8JLFEeufaYkbpo6f0A" name="SCARA_ROBOT"/>
      <ownedLiteral xmi:type="uml:EnumerationLiteral" xmi:id="_WafkwJLFEeufaYkbpo6f0A" name="CARTESIAN_ROBOT"/>
      <ownedLiteral xmi:type="uml:EnumerationLiteral" xmi:id="_X75GEJLFEeufaYkbpo6f0A" name="SPHERICAL_ROBOT"/>
      <ownedLiteral xmi:type="uml:EnumerationLiteral" xmi:id="_ZNROYJLFEeufaYkbpo6f0A" name="PARALLEL_ROBOT"/>
      <ownedLiteral xmi:type="uml:EnumerationLiteral" xmi:id="_a-15sJLFEeufaYkbpo6f0A" name="CYLINDRICAL_ROBOT"/>
    </packagedElement>
    <packagedElement xmi:type="uml:DataType" xmi:id="_lJvqoJLJEeufaYkbpo6f0A" name="ParameterSetMotionDeviceType">
      <ownedAttribute xmi:type="uml:Property" xmi:id="_rnUyEJLJEeufaYkbpo6f0A" name="onPath">
        <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#Boolean"/>
        <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_wnmOAJLJEeufaYkbpo6f0A"/>
      </ownedAttribute>
      <ownedAttribute xmi:type="uml:Property" xmi:id="_xIgisJLJEeufaYkbpo6f0A" name="InControl">
        <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#Boolean"/>
        <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_zqPfoJLJEeufaYkbpo6f0A"/>
      </ownedAttribute>
      <ownedAttribute xmi:type="uml:Property" xmi:id="_1bL40JLJEeufaYkbpo6f0A" name="SpeedOverride">
        <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#Real"/>
      </ownedAttribute>
      <ownedAttribute xmi:type="uml:Property" xmi:id="_-sSe4HO0EeyVaphoJbXfdQ" name="notCS_isPowerButtonPressed">
        <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#Boolean"/>
        <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_-sSe4XO0EeyVaphoJbXfdQ"/>
      </ownedAttribute>
      <ownedAttribute xmi:type="uml:Property" xmi:id="_-sWwUHO0EeyVaphoJbXfdQ" name="notCS__RobotIntensity">
        <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#Real"/>
      </ownedAttribute>
      <ownedAttribute xmi:type="uml:Property" xmi:id="_NZBZEHO1EeyVaphoJbXfdQ" name="notCS_isTeachButtonPressed">
        <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#Boolean"/>
        <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_NZBZEXO1EeyVaphoJbXfdQ"/>
      </ownedAttribute>
      <ownedAttribute xmi:type="uml:Property" xmi:id="_NfZt4HO1EeyVaphoJbXfdQ" name="notCS_isPowerOnRobot">
        <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#Boolean"/>
        <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_NfZt4XO1EeyVaphoJbXfdQ"/>
      </ownedAttribute>
      <ownedAttribute xmi:type="uml:Property" xmi:id="_tKhtMHqXEeynZJyQO_R7bQ" name="Mode" type="_wEUk0HqXEeynZJyQO_R7bQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_hrQVEJLKEeufaYkbpo6f0A" name="AxisType">
      <generalization xmi:type="uml:Generalization" xmi:id="_UdzKUAsxEeyqwYRDERawgA">
        <general xmi:type="uml:Stereotype" href="pathmap://Papyrus_OPC_UA_DI_PROFILE/OPC_UA_DI.profile.uml#_HUisgN8oEeuf_uz3Oaeyuw"/>
      </generalization>
      <ownedAttribute xmi:type="uml:Property" xmi:id="_k6DzYJLKEeufaYkbpo6f0A" name="MotionProfile" type="_qw5q8JLKEeufaYkbpo6f0A"/>
      <ownedAttribute xmi:type="uml:Property" xmi:id="_Gsg5EL7wEeufC8FGusw1Kw" name="AdditionalLoad" type="_HL5E4JLLEeufaYkbpo6f0A">
        <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_BoNcQL7xEeufC8FGusw1Kw"/>
      </ownedAttribute>
      <ownedAttribute xmi:type="uml:Property" xmi:id="_JTvaAL7wEeufC8FGusw1Kw" name="parameterSetAxisType" type="_FXpXcFHmEey986b427xQRw"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Enumeration" xmi:id="_qw5q8JLKEeufaYkbpo6f0A" name="AxisMotionProfileEnumeration">
      <ownedLiteral xmi:type="uml:EnumerationLiteral" xmi:id="_uOBSEJLKEeufaYkbpo6f0A" name="OTHER">
        <ownedComment xmi:type="uml:Comment" xmi:id="_sraEQL7GEeufC8FGusw1Kw" annotatedElement="_uOBSEJLKEeufaYkbpo6f0A">
          <body>Any motion-profile which is not defined by the AxisMotionProfileEnumeration</body>
        </ownedComment>
        <specification xmi:type="uml:LiteralInteger" xmi:id="_D2iHEL7HEeufC8FGusw1Kw"/>
      </ownedLiteral>
      <ownedLiteral xmi:type="uml:EnumerationLiteral" xmi:id="_vXjtAJLKEeufaYkbpo6f0A" name="ROTARY">
        <ownedComment xmi:type="uml:Comment" xmi:id="_uo5rsL7GEeufC8FGusw1Kw" annotatedElement="_vXjtAJLKEeufaYkbpo6f0A">
          <body>Rotary motion is a rotation along a circular path with defined limits. Motion movement is not going always in the same direction. Control unit is mainly degree.</body>
        </ownedComment>
        <specification xmi:type="uml:LiteralInteger" xmi:id="_FvOHAL7HEeufC8FGusw1Kw" value="1"/>
      </ownedLiteral>
      <ownedLiteral xmi:type="uml:EnumerationLiteral" xmi:id="_xScsYJLKEeufaYkbpo6f0A" name="ROTARY_ENDLESS">
        <ownedComment xmi:type="uml:Comment" xmi:id="_wjnr8L7GEeufC8FGusw1Kw" annotatedElement="_xScsYJLKEeufaYkbpo6f0A">
          <body>Rotary motion is a rotation along a circular path with no limits. Motion movement is going endless in the same direction. Control unit is mainly degree.</body>
        </ownedComment>
        <specification xmi:type="uml:LiteralInteger" xmi:id="_HD_hkL7HEeufC8FGusw1Kw" value="2"/>
      </ownedLiteral>
      <ownedLiteral xmi:type="uml:EnumerationLiteral" xmi:id="_y1PU0JLKEeufaYkbpo6f0A" name="LINEAR">
        <ownedComment xmi:type="uml:Comment" xmi:id="_yTWkML7GEeufC8FGusw1Kw" annotatedElement="_y1PU0JLKEeufaYkbpo6f0A">
          <body>Linear motion is a one dimensional motion along a straight line with defined limits. Motion movement is not going always in the same direction. Control unit is mainly mm.</body>
        </ownedComment>
        <specification xmi:type="uml:LiteralInteger" xmi:id="_IRGN4L7HEeufC8FGusw1Kw" value="3"/>
      </ownedLiteral>
      <ownedLiteral xmi:type="uml:EnumerationLiteral" xmi:id="_z3Bh8JLKEeufaYkbpo6f0A" name="LINEAR_ENDLESS">
        <ownedComment xmi:type="uml:Comment" xmi:id="_z1XJgL7GEeufC8FGusw1Kw" annotatedElement="_z3Bh8JLKEeufaYkbpo6f0A">
          <body>Linear motion is a one dimensional motion along a straight line with no limits. Motion movement is going endless in the same direction. Control unit is mainly mm.</body>
        </ownedComment>
        <specification xmi:type="uml:LiteralInteger" xmi:id="_JcZjYL7HEeufC8FGusw1Kw" value="4"/>
      </ownedLiteral>
    </packagedElement>
    <packagedElement xmi:type="uml:DataType" xmi:id="_HL5E4JLLEeufaYkbpo6f0A" name="LoadType">
      <ownedAttribute xmi:type="uml:Property" xmi:id="_JZbTcJLLEeufaYkbpo6f0A" name="Mass">
        <type xmi:type="uml:DataType" href="OPC_UA_Robotics_CS_Library.library.uml#_sN7u8L-TEeufC8FGusw1Kw"/>
      </ownedAttribute>
      <ownedAttribute xmi:type="uml:Property" xmi:id="_Ntz5wJLLEeufaYkbpo6f0A" name="CenterOfMass">
        <type xmi:type="uml:DataType" href="OPC_UA_Robotics_CS_Library.library.uml#_qDdJgL-VEeufC8FGusw1Kw"/>
      </ownedAttribute>
      <ownedAttribute xmi:type="uml:Property" xmi:id="_QNuesL7yEeufC8FGusw1Kw" name="Inertia">
        <type xmi:type="uml:DataType" href="OPC_UA_Robotics_CS_Library.library.uml#_fzuwsL-WEeufC8FGusw1Kw"/>
      </ownedAttribute>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_Sf0ZgKvgEeu_BIPibcWFsg" name="PowerTrainType">
      <generalization xmi:type="uml:Generalization" xmi:id="_jx1gEG7REeyihfFl6chcPw">
        <general xmi:type="uml:Stereotype" href="pathmap://Papyrus_OPC_UA_DI_PROFILE/OPC_UA_DI.profile.uml#_HUisgN8oEeuf_uz3Oaeyuw"/>
      </generalization>
      <ownedAttribute xmi:type="uml:Property" xmi:id="_gIo_oKvgEeu_BIPibcWFsg" name="Motor" type="_UVCZQKvhEeu_BIPibcWFsg"/>
      <ownedAttribute xmi:type="uml:Property" xmi:id="_h-EQMKvgEeu_BIPibcWFsg" name="Gear" type="_W_AFIKvhEeu_BIPibcWFsg">
        <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_wGm4MKvgEeu_BIPibcWFsg"/>
      </ownedAttribute>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_UVCZQKvhEeu_BIPibcWFsg" name="MotorType">
      <generalization xmi:type="uml:Generalization" xmi:id="_VXxfQAsxEeyqwYRDERawgA">
        <general xmi:type="uml:Stereotype" href="pathmap://Papyrus_OPC_UA_DI_PROFILE/OPC_UA_DI.profile.uml#_HUisgN8oEeuf_uz3Oaeyuw"/>
      </generalization>
      <ownedAttribute xmi:type="uml:Property" xmi:id="_0nd24L79EeufC8FGusw1Kw" name="ParameterSetMotorType" type="_NjlmsL-BEeufC8FGusw1Kw"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_W_AFIKvhEeu_BIPibcWFsg" name="GearType">
      <generalization xmi:type="uml:Generalization" xmi:id="_ffrjYAsxEeyqwYRDERawgA">
        <general xmi:type="uml:Stereotype" href="pathmap://Papyrus_OPC_UA_DI_PROFILE/OPC_UA_DI.profile.uml#_HUisgN8oEeuf_uz3Oaeyuw"/>
      </generalization>
      <ownedAttribute xmi:type="uml:Property" xmi:id="_pJFH8L_BEeufC8FGusw1Kw" name="GearRatio">
        <type xmi:type="uml:DataType" href="OPC_UA_Robotics_CS_Library.library.uml#_7kLxUL_BEeufC8FGusw1Kw"/>
      </ownedAttribute>
      <ownedAttribute xmi:type="uml:Property" xmi:id="_rTo7AL_BEeufC8FGusw1Kw" name="Pitch">
        <type xmi:type="uml:DataType" href="OPC_UA_Robotics_CS_Library.library.uml#_sN7u8L-TEeufC8FGusw1Kw"/>
      </ownedAttribute>
      <ownedAttribute xmi:type="uml:Property" xmi:id="_JaXHcMeYEeuRXJeYcTAMpA" name="isConnectedTo" type="_UVCZQKvhEeu_BIPibcWFsg"/>
    </packagedElement>
    <packagedElement xmi:type="uml:DataType" xmi:id="_V5xxcL7EEeufC8FGusw1Kw" name="ParameterSetControllerType">
      <ownedAttribute xmi:type="uml:Property" xmi:id="_a2mQwL7EEeufC8FGusw1Kw" name="TotalPowerOnTime">
        <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#String"/>
        <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_EBRCUL7FEeufC8FGusw1Kw"/>
      </ownedAttribute>
      <ownedAttribute xmi:type="uml:Property" xmi:id="_lCRakL7EEeufC8FGusw1Kw" name="StartUpTime">
        <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#String"/>
        <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_Ex3Y0L7FEeufC8FGusw1Kw"/>
      </ownedAttribute>
      <ownedAttribute xmi:type="uml:Property" xmi:id="_m3wVgL7EEeufC8FGusw1Kw" name="UpsState">
        <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#String"/>
        <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_FX8hYL7FEeufC8FGusw1Kw"/>
      </ownedAttribute>
      <ownedAttribute xmi:type="uml:Property" xmi:id="_rPGwQL7EEeufC8FGusw1Kw" name="TotalEnergyConsumption">
        <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/JavaPrimitiveTypes.library.uml#double"/>
        <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_GCmA4L7FEeufC8FGusw1Kw"/>
      </ownedAttribute>
      <ownedAttribute xmi:type="uml:Property" xmi:id="_rlpA8L7EEeufC8FGusw1Kw" name="CabinetFanSpeed">
        <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/JavaPrimitiveTypes.library.uml#double"/>
        <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_GnihAL7FEeufC8FGusw1Kw"/>
      </ownedAttribute>
      <ownedAttribute xmi:type="uml:Property" xmi:id="_sCU88L7EEeufC8FGusw1Kw" name="CPUFanSpeed">
        <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/JavaPrimitiveTypes.library.uml#double"/>
        <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_HOt1wL7FEeufC8FGusw1Kw"/>
      </ownedAttribute>
      <ownedAttribute xmi:type="uml:Property" xmi:id="_908qAL7EEeufC8FGusw1Kw" name="InputVoltage">
        <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/JavaPrimitiveTypes.library.uml#double"/>
        <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_H2IbEL7FEeufC8FGusw1Kw"/>
      </ownedAttribute>
      <ownedAttribute xmi:type="uml:Property" xmi:id="_AcIHoL7FEeufC8FGusw1Kw" name="Temperature">
        <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/JavaPrimitiveTypes.library.uml#double"/>
        <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_IoeeAL7FEeufC8FGusw1Kw"/>
      </ownedAttribute>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_57nSEL7yEeufC8FGusw1Kw" name="EmergencyStopFunctionType">
      <generalization xmi:type="uml:Generalization" xmi:id="_ORIm8NaIEeyLSrl6YSbGvA">
        <general xmi:type="uml:Stereotype" href="pathmap://Papyrus_OPC_UA_DI_PROFILE/OPC_UA.profile.uml#_xkvTQO-xEeuxCbW4mH-AcQ"/>
      </generalization>
      <ownedAttribute xmi:type="uml:Property" xmi:id="_3FNd8L74EeufC8FGusw1Kw" name="Name">
        <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#String"/>
      </ownedAttribute>
      <ownedAttribute xmi:type="uml:Property" xmi:id="_9L4hQL74EeufC8FGusw1Kw" name="Active">
        <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#Boolean"/>
      </ownedAttribute>
      <ownedAttribute xmi:type="uml:Property" xmi:id="_idxqcb75EeufC8FGusw1Kw" name="base_Class" association="_idwcUL75EeufC8FGusw1Kw">
        <type xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#Class"/>
        <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_idxqcr75EeufC8FGusw1Kw"/>
      </ownedAttribute>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_62vdkL7yEeufC8FGusw1Kw" name="ProtectiveStopFunctionType">
      <generalization xmi:type="uml:Generalization" xmi:id="_ITEtENaIEeyLSrl6YSbGvA">
        <general xmi:type="uml:Stereotype" href="pathmap://Papyrus_OPC_UA_DI_PROFILE/OPC_UA.profile.uml#_xkvTQO-xEeuxCbW4mH-AcQ"/>
      </generalization>
      <ownedAttribute xmi:type="uml:Property" xmi:id="_v4kboL75EeufC8FGusw1Kw" name="Name">
        <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#String"/>
      </ownedAttribute>
      <ownedAttribute xmi:type="uml:Property" xmi:id="_wobyUL75EeufC8FGusw1Kw" name="Enabled">
        <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#Boolean"/>
      </ownedAttribute>
      <ownedAttribute xmi:type="uml:Property" xmi:id="_x5X1wL75EeufC8FGusw1Kw" name="Active">
        <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#Boolean"/>
      </ownedAttribute>
      <ownedAttribute xmi:type="uml:Property" xmi:id="_4Pki0L75EeufC8FGusw1Kw" name="base_Class" association="_4Pj7wL75EeufC8FGusw1Kw">
        <type xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#Class"/>
        <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_4Pki0b75EeufC8FGusw1Kw"/>
      </ownedAttribute>
    </packagedElement>
    <packagedElement xmi:type="uml:Extension" xmi:id="_idwcUL75EeufC8FGusw1Kw" name="E_EmergencyStopFunctionType_Class34" memberEnd="_idxqcL75EeufC8FGusw1Kw _idxqcb75EeufC8FGusw1Kw">
      <ownedEnd xmi:type="uml:ExtensionEnd" xmi:id="_idxqcL75EeufC8FGusw1Kw" name="extension_EmergencyStopFunctionType" type="_57nSEL7yEeufC8FGusw1Kw" aggregation="composite" association="_idwcUL75EeufC8FGusw1Kw"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Extension" xmi:id="_4Pj7wL75EeufC8FGusw1Kw" name="E_ProtectiveStopFunctionType_Class35" memberEnd="_4Pj7wb75EeufC8FGusw1Kw _4Pki0L75EeufC8FGusw1Kw">
      <ownedEnd xmi:type="uml:ExtensionEnd" xmi:id="_4Pj7wb75EeufC8FGusw1Kw" name="extension_ProtectiveStopFunctionType" type="_62vdkL7yEeufC8FGusw1Kw" aggregation="composite" association="_4Pj7wL75EeufC8FGusw1Kw"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_4qPQIL76EeufC8FGusw1Kw" name="TaskControlType">
      <generalization xmi:type="uml:Generalization" xmi:id="_d8ZywAsxEeyqwYRDERawgA">
        <general xmi:type="uml:Stereotype" href="pathmap://Papyrus_OPC_UA_DI_PROFILE/OPC_UA_DI.profile.uml#_HUisgN8oEeuf_uz3Oaeyuw"/>
      </generalization>
      <ownedAttribute xmi:type="uml:Property" xmi:id="_a75tEL78EeufC8FGusw1Kw" name="parameterSetTaskContolType" type="_bd6MgL-BEeufC8FGusw1Kw"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Enumeration" xmi:id="_sn-tQL78EeufC8FGusw1Kw" name="ExecutionModeEnumeration">
      <ownedLiteral xmi:type="uml:EnumerationLiteral" xmi:id="_8rbiwL78EeufC8FGusw1Kw" name="CYCLE">
        <specification xmi:type="uml:LiteralInteger" xmi:id="_HTS5UL79EeufC8FGusw1Kw"/>
      </ownedLiteral>
      <ownedLiteral xmi:type="uml:EnumerationLiteral" xmi:id="_-BUXoL78EeufC8FGusw1Kw" name="CONTINUOUS">
        <specification xmi:type="uml:LiteralInteger" xmi:id="_IdpzoL79EeufC8FGusw1Kw" value="1"/>
      </ownedLiteral>
      <ownedLiteral xmi:type="uml:EnumerationLiteral" xmi:id="_Bo7-kL79EeufC8FGusw1Kw" name="STEP">
        <specification xmi:type="uml:LiteralInteger" xmi:id="_Jr028L79EeufC8FGusw1Kw" value="2"/>
      </ownedLiteral>
    </packagedElement>
    <packagedElement xmi:type="uml:DataType" xmi:id="_NjlmsL-BEeufC8FGusw1Kw" name="ParameterSetMotorType">
      <ownedAttribute xmi:type="uml:Property" xmi:id="_S6sOQL-BEeufC8FGusw1Kw" name="BrakeReleased">
        <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#Boolean"/>
      </ownedAttribute>
      <ownedAttribute xmi:type="uml:Property" xmi:id="_S6uqgL-BEeufC8FGusw1Kw" name="EffectiveLoadRate">
        <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#Integer"/>
      </ownedAttribute>
      <ownedAttribute xmi:type="uml:Property" xmi:id="_S6v4oL-BEeufC8FGusw1Kw" name="MotorTemperature">
        <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#Real"/>
      </ownedAttribute>
      <ownedAttribute xmi:type="uml:Property" xmi:id="_EZfBUHOsEeyVaphoJbXfdQ" name="notCS_MotorIntensity">
        <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#Integer"/>
      </ownedAttribute>
    </packagedElement>
    <packagedElement xmi:type="uml:DataType" xmi:id="_bd6MgL-BEeufC8FGusw1Kw" name="ParameterSetTaskControlType">
      <ownedAttribute xmi:type="uml:Property" xmi:id="_imNr8L-BEeufC8FGusw1Kw" name="ExecutionMode" type="_sn-tQL78EeufC8FGusw1Kw"/>
      <ownedAttribute xmi:type="uml:Property" xmi:id="_imTLgL-BEeufC8FGusw1Kw" name="TaskProgramLoaded">
        <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#Boolean"/>
      </ownedAttribute>
      <ownedAttribute xmi:type="uml:Property" xmi:id="_imVAsL-BEeufC8FGusw1Kw" name="TaskProgramName">
        <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#String"/>
      </ownedAttribute>
    </packagedElement>
    <packagedElement xmi:type="uml:DataType" xmi:id="_osTgcL-BEeufC8FGusw1Kw" name="ParameterSetSafetyStateType">
      <ownedAttribute xmi:type="uml:Property" xmi:id="_r1rFIL-BEeufC8FGusw1Kw" name="EmergencyStop">
        <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#Boolean"/>
      </ownedAttribute>
      <ownedAttribute xmi:type="uml:Property" xmi:id="_r1v9oL-BEeufC8FGusw1Kw" name="OperationalMode" type="_GQdUEMeUEeuRXJeYcTAMpA"/>
      <ownedAttribute xmi:type="uml:Property" xmi:id="_r1xLwL-BEeufC8FGusw1Kw" name="ProtectiveStop">
        <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#Boolean"/>
      </ownedAttribute>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_jLPxAMIFEeufC8FGusw1Kw" name="References">
      <ownedAttribute xmi:type="uml:Property" xmi:id="_V02a0cIJEeufC8FGusw1Kw" name="base_Association" association="_V01zwMIJEeufC8FGusw1Kw">
        <type xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#Association"/>
        <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_V02a0sIJEeufC8FGusw1Kw"/>
      </ownedAttribute>
      <ownedAttribute xmi:type="uml:Property" xmi:id="_ZvOYwcknEeuRXJeYcTAMpA" name="base_Dependency" association="_ZvNxsMknEeuRXJeYcTAMpA">
        <type xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#Dependency"/>
        <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_ZvOYwsknEeuRXJeYcTAMpA"/>
      </ownedAttribute>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_mwcWEMIFEeufC8FGusw1Kw" name="HierarchicalReferences">
      <generalization xmi:type="uml:Generalization" xmi:id="__tGn8MIFEeufC8FGusw1Kw" general="_jLPxAMIFEeufC8FGusw1Kw"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_m9Fq8MIFEeufC8FGusw1Kw" name="Controls">
      <generalization xmi:type="uml:Generalization" xmi:id="_CoNuMMIGEeufC8FGusw1Kw" general="_mwcWEMIFEeufC8FGusw1Kw"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_nIY8AMIFEeufC8FGusw1Kw" name="IsDrivenBy">
      <generalization xmi:type="uml:Generalization" xmi:id="_DNio0MIGEeufC8FGusw1Kw" general="_mwcWEMIFEeufC8FGusw1Kw"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_nQMNIMIFEeufC8FGusw1Kw" name="Moves">
      <generalization xmi:type="uml:Generalization" xmi:id="_IyEBUMIGEeufC8FGusw1Kw" general="_mwcWEMIFEeufC8FGusw1Kw"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_nWsdwMIFEeufC8FGusw1Kw" name="Requires">
      <generalization xmi:type="uml:Generalization" xmi:id="_KNuHAMIGEeufC8FGusw1Kw" general="_mwcWEMIFEeufC8FGusw1Kw"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_nvxsIMIFEeufC8FGusw1Kw" name="NonHierarchicalReferences">
      <generalization xmi:type="uml:Generalization" xmi:id="_BCYY0MIGEeufC8FGusw1Kw" general="_jLPxAMIFEeufC8FGusw1Kw"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_2eFToMIFEeufC8FGusw1Kw" name="HasSafetyStates">
      <generalization xmi:type="uml:Generalization" xmi:id="_JQCWwMIGEeufC8FGusw1Kw" general="_mwcWEMIFEeufC8FGusw1Kw"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_4BxT8MIFEeufC8FGusw1Kw" name="HasSlaves">
      <generalization xmi:type="uml:Generalization" xmi:id="_JwGW4MIGEeufC8FGusw1Kw" general="_mwcWEMIFEeufC8FGusw1Kw"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_6hQ1MMIFEeufC8FGusw1Kw" name="IsConnectedTo">
      <generalization xmi:type="uml:Generalization" xmi:id="_EIOvcMIGEeufC8FGusw1Kw" general="_nvxsIMIFEeufC8FGusw1Kw"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Extension" xmi:id="_V01zwMIJEeufC8FGusw1Kw" name="E_References_Association57" memberEnd="_V02a0MIJEeufC8FGusw1Kw _V02a0cIJEeufC8FGusw1Kw">
      <ownedEnd xmi:type="uml:ExtensionEnd" xmi:id="_V02a0MIJEeufC8FGusw1Kw" name="extension_References" type="_jLPxAMIFEeufC8FGusw1Kw" aggregation="composite" association="_V01zwMIJEeufC8FGusw1Kw"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Enumeration" xmi:id="_GQdUEMeUEeuRXJeYcTAMpA" name="OperationalModeEnumeration">
      <ownedLiteral xmi:type="uml:EnumerationLiteral" xmi:id="_XO4kEMeUEeuRXJeYcTAMpA" name="OTHER">
        <specification xmi:type="uml:LiteralInteger" xmi:id="_P2KKMAvIEeyjGp7IFeYeiQ"/>
      </ownedLiteral>
      <ownedLiteral xmi:type="uml:EnumerationLiteral" xmi:id="_YecugMeUEeuRXJeYcTAMpA" name="MANUAL_REDUCED_SPEED">
        <specification xmi:type="uml:LiteralInteger" xmi:id="_Rvg4gAvIEeyjGp7IFeYeiQ" value="1"/>
      </ownedLiteral>
      <ownedLiteral xmi:type="uml:EnumerationLiteral" xmi:id="_Zqg5AMeUEeuRXJeYcTAMpA" name="MANUAL_HIGH_SPEED">
        <specification xmi:type="uml:LiteralInteger" xmi:id="_S_eEgAvIEeyjGp7IFeYeiQ" value="2"/>
      </ownedLiteral>
      <ownedLiteral xmi:type="uml:EnumerationLiteral" xmi:id="_awSOQMeUEeuRXJeYcTAMpA" name="AUTOMATIC">
        <specification xmi:type="uml:LiteralInteger" xmi:id="_UXbV8AvIEeyjGp7IFeYeiQ" value="3"/>
      </ownedLiteral>
      <ownedLiteral xmi:type="uml:EnumerationLiteral" xmi:id="_b6uoIMeUEeuRXJeYcTAMpA" name="AUTOMATIC_EXTERNAL">
        <specification xmi:type="uml:LiteralInteger" xmi:id="_WuhJIAvIEeyjGp7IFeYeiQ" value="4"/>
      </ownedLiteral>
    </packagedElement>
    <packagedElement xmi:type="uml:Extension" xmi:id="_ZvNxsMknEeuRXJeYcTAMpA" name="E_References_Dependency69" memberEnd="_ZvOYwMknEeuRXJeYcTAMpA _ZvOYwcknEeuRXJeYcTAMpA">
      <ownedEnd xmi:type="uml:ExtensionEnd" xmi:id="_ZvOYwMknEeuRXJeYcTAMpA" name="extension_References" type="_jLPxAMIFEeufC8FGusw1Kw" aggregation="composite" association="_ZvNxsMknEeuRXJeYcTAMpA"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Profile" href="pathmap://Papyrus_OPC_UA_DI_PROFILE/OPC_UA_DI.profile.uml#_6p0tYN8nEeuf_uz3Oaeyuw"/>
    <packagedElement xmi:type="uml:Model" xmi:id="_hm_80OhhEeullPKxlAv_cA" name="OPC_UA_Library">
      <packageImport xmi:type="uml:PackageImport" xmi:id="_hm_80ehhEeullPKxlAv_cA">
        <importedPackage xmi:type="uml:Model" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#_0"/>
      </packageImport>
      <packagedElement xmi:type="uml:DataType" xmi:id="_hm_80uhhEeullPKxlAv_cA" name="AnalogUnitType">
        <generalization xmi:type="uml:Generalization" xmi:id="_hm_80-hhEeullPKxlAv_cA" general="_hm_8-ehhEeullPKxlAv_cA"/>
      </packagedElement>
      <packagedElement xmi:type="uml:DataType" xmi:id="_hm_81OhhEeullPKxlAv_cA" name="LocalizedText">
        <generalization xmi:type="uml:Generalization" xmi:id="_hm_81ehhEeullPKxlAv_cA" general="_hm_87ehhEeullPKxlAv_cA"/>
      </packagedElement>
      <packagedElement xmi:type="uml:DataType" xmi:id="_hm_81uhhEeullPKxlAv_cA" name="BaseDataType" isAbstract="true"/>
      <packagedElement xmi:type="uml:DataType" xmi:id="_hm_81-hhEeullPKxlAv_cA" name="Number" isAbstract="true">
        <generalization xmi:type="uml:Generalization" xmi:id="_hm_82OhhEeullPKxlAv_cA" general="_hm_81uhhEeullPKxlAv_cA"/>
      </packagedElement>
      <packagedElement xmi:type="uml:DataType" xmi:id="_hm_82ehhEeullPKxlAv_cA" name="Boolean">
        <generalization xmi:type="uml:Generalization" xmi:id="_hm_82uhhEeullPKxlAv_cA" general="_hm_81uhhEeullPKxlAv_cA"/>
      </packagedElement>
      <packagedElement xmi:type="uml:DataType" xmi:id="_hm_82-hhEeullPKxlAv_cA" name="String">
        <generalization xmi:type="uml:Generalization" xmi:id="_hm_83OhhEeullPKxlAv_cA" general="_hm_81uhhEeullPKxlAv_cA"/>
      </packagedElement>
      <packagedElement xmi:type="uml:DataType" xmi:id="_hm_83ehhEeullPKxlAv_cA" name="DateTime">
        <generalization xmi:type="uml:Generalization" xmi:id="_hm_83uhhEeullPKxlAv_cA" general="_hm_81uhhEeullPKxlAv_cA"/>
      </packagedElement>
      <packagedElement xmi:type="uml:DataType" xmi:id="_hm_83-hhEeullPKxlAv_cA" name="Guid">
        <generalization xmi:type="uml:Generalization" xmi:id="_hm_84OhhEeullPKxlAv_cA" general="_hm_81uhhEeullPKxlAv_cA"/>
      </packagedElement>
      <packagedElement xmi:type="uml:DataType" xmi:id="_hm_84ehhEeullPKxlAv_cA" name="ByteString">
        <generalization xmi:type="uml:Generalization" xmi:id="_hm_84uhhEeullPKxlAv_cA" general="_hm_81uhhEeullPKxlAv_cA"/>
      </packagedElement>
      <packagedElement xmi:type="uml:DataType" xmi:id="_hm_84-hhEeullPKxlAv_cA" name="XmlElement">
        <generalization xmi:type="uml:Generalization" xmi:id="_hm_85OhhEeullPKxlAv_cA" general="_hm_81uhhEeullPKxlAv_cA"/>
      </packagedElement>
      <packagedElement xmi:type="uml:DataType" xmi:id="_hm_85ehhEeullPKxlAv_cA" name="NodeId">
        <generalization xmi:type="uml:Generalization" xmi:id="_hm_85uhhEeullPKxlAv_cA" general="_hm_81uhhEeullPKxlAv_cA"/>
      </packagedElement>
      <packagedElement xmi:type="uml:DataType" xmi:id="_hm_85-hhEeullPKxlAv_cA" name="ExpandedNodeId">
        <generalization xmi:type="uml:Generalization" xmi:id="_hm_86OhhEeullPKxlAv_cA" general="_hm_81uhhEeullPKxlAv_cA"/>
      </packagedElement>
      <packagedElement xmi:type="uml:DataType" xmi:id="_hm_86ehhEeullPKxlAv_cA" name="StatusCode">
        <generalization xmi:type="uml:Generalization" xmi:id="_hm_86uhhEeullPKxlAv_cA" general="_hm_81uhhEeullPKxlAv_cA"/>
      </packagedElement>
      <packagedElement xmi:type="uml:DataType" xmi:id="_hm_86-hhEeullPKxlAv_cA" name="QualifiedName">
        <generalization xmi:type="uml:Generalization" xmi:id="_hm_87OhhEeullPKxlAv_cA" general="_hm_87ehhEeullPKxlAv_cA"/>
      </packagedElement>
      <packagedElement xmi:type="uml:DataType" xmi:id="_hm_87ehhEeullPKxlAv_cA" name="Structure">
        <generalization xmi:type="uml:Generalization" xmi:id="_hm_87uhhEeullPKxlAv_cA" general="_hm_81uhhEeullPKxlAv_cA"/>
      </packagedElement>
      <packagedElement xmi:type="uml:DataType" xmi:id="_hm_87-hhEeullPKxlAv_cA" name="DataValue">
        <generalization xmi:type="uml:Generalization" xmi:id="_hm_88OhhEeullPKxlAv_cA" general="_hm_81uhhEeullPKxlAv_cA"/>
      </packagedElement>
      <packagedElement xmi:type="uml:DataType" xmi:id="_hm_88ehhEeullPKxlAv_cA" name="DiagnosticInfo">
        <generalization xmi:type="uml:Generalization" xmi:id="_hm_88uhhEeullPKxlAv_cA" general="_hm_81uhhEeullPKxlAv_cA"/>
      </packagedElement>
      <packagedElement xmi:type="uml:DataType" xmi:id="_hm_88-hhEeullPKxlAv_cA" name="RsaEncryptedSecret">
        <generalization xmi:type="uml:Generalization" xmi:id="_hm_89OhhEeullPKxlAv_cA" general="_hm_81uhhEeullPKxlAv_cA"/>
      </packagedElement>
      <packagedElement xmi:type="uml:DataType" xmi:id="_hm_89ehhEeullPKxlAv_cA" name="EccEncryptedSecret">
        <generalization xmi:type="uml:Generalization" xmi:id="_hm_89uhhEeullPKxlAv_cA" general="_hm_81uhhEeullPKxlAv_cA"/>
      </packagedElement>
      <packagedElement xmi:type="uml:DataType" xmi:id="_hm_89-hhEeullPKxlAv_cA" name="Integer" isAbstract="true">
        <generalization xmi:type="uml:Generalization" xmi:id="_hm_8-OhhEeullPKxlAv_cA" general="_hm_81-hhEeullPKxlAv_cA"/>
      </packagedElement>
      <packagedElement xmi:type="uml:DataType" xmi:id="_hm_8-ehhEeullPKxlAv_cA" name="Double">
        <generalization xmi:type="uml:Generalization" xmi:id="_hm_8-uhhEeullPKxlAv_cA" general="_hm_81-hhEeullPKxlAv_cA"/>
      </packagedElement>
      <packagedElement xmi:type="uml:DataType" xmi:id="_hm_8--hhEeullPKxlAv_cA" name="Float">
        <generalization xmi:type="uml:Generalization" xmi:id="_hm_8_OhhEeullPKxlAv_cA" general="_hm_81-hhEeullPKxlAv_cA"/>
      </packagedElement>
      <packagedElement xmi:type="uml:DataType" xmi:id="_hm_8_ehhEeullPKxlAv_cA" name="UInteger">
        <generalization xmi:type="uml:Generalization" xmi:id="_hm_8_uhhEeullPKxlAv_cA" general="_hm_81-hhEeullPKxlAv_cA"/>
      </packagedElement>
      <packagedElement xmi:type="uml:DataType" xmi:id="_hm_8_-hhEeullPKxlAv_cA" name="Duration">
        <generalization xmi:type="uml:Generalization" xmi:id="_hm_9AOhhEeullPKxlAv_cA" general="_hm_8-ehhEeullPKxlAv_cA"/>
      </packagedElement>
      <packagedElement xmi:type="uml:DataType" xmi:id="_hm_9AehhEeullPKxlAv_cA" name="Int64">
        <generalization xmi:type="uml:Generalization" xmi:id="_hm_9AuhhEeullPKxlAv_cA" general="_hm_89-hhEeullPKxlAv_cA"/>
      </packagedElement>
      <packagedElement xmi:type="uml:DataType" xmi:id="_hm_9A-hhEeullPKxlAv_cA" name="Int32">
        <generalization xmi:type="uml:Generalization" xmi:id="_hm_9BOhhEeullPKxlAv_cA" general="_hm_89-hhEeullPKxlAv_cA"/>
      </packagedElement>
      <packagedElement xmi:type="uml:DataType" xmi:id="_hm_9BehhEeullPKxlAv_cA" name="Int16">
        <generalization xmi:type="uml:Generalization" xmi:id="_hm_9BuhhEeullPKxlAv_cA" general="_hm_89-hhEeullPKxlAv_cA"/>
      </packagedElement>
      <packagedElement xmi:type="uml:DataType" xmi:id="_hm_9B-hhEeullPKxlAv_cA" name="SByte">
        <generalization xmi:type="uml:Generalization" xmi:id="_hm_9COhhEeullPKxlAv_cA" general="_hm_89-hhEeullPKxlAv_cA"/>
      </packagedElement>
      <packagedElement xmi:type="uml:DataType" xmi:id="_hm_9CehhEeullPKxlAv_cA" name="Byte">
        <generalization xmi:type="uml:Generalization" xmi:id="_hm_9CuhhEeullPKxlAv_cA" general="_hm_8_ehhEeullPKxlAv_cA"/>
      </packagedElement>
      <packagedElement xmi:type="uml:DataType" xmi:id="_hm_9C-hhEeullPKxlAv_cA" name="DataType36">
        <generalization xmi:type="uml:Generalization" xmi:id="_hm_9DOhhEeullPKxlAv_cA" general="_hm_87ehhEeullPKxlAv_cA"/>
      </packagedElement>
      <packagedElement xmi:type="uml:DataType" xmi:id="_hm_9DehhEeullPKxlAv_cA" name="Argument">
        <generalization xmi:type="uml:Generalization" xmi:id="_hm_9DuhhEeullPKxlAv_cA" general="_hm_87ehhEeullPKxlAv_cA"/>
      </packagedElement>
      <packagedElement xmi:type="uml:DataType" xmi:id="_hm_9D-hhEeullPKxlAv_cA" name="LocalId">
        <generalization xmi:type="uml:Generalization" xmi:id="_hm_9EOhhEeullPKxlAv_cA" general="_hm_82-hhEeullPKxlAv_cA"/>
      </packagedElement>
      <packagedElement xmi:type="uml:DataType" xmi:id="_hm_9EehhEeullPKxlAv_cA" name="UInt16">
        <generalization xmi:type="uml:Generalization" xmi:id="_hm_9EuhhEeullPKxlAv_cA" general="_hm_8_ehhEeullPKxlAv_cA"/>
      </packagedElement>
      <packagedElement xmi:type="uml:DataType" xmi:id="_hm_9E-hhEeullPKxlAv_cA" name="UInt32">
        <generalization xmi:type="uml:Generalization" xmi:id="_hm_9FOhhEeullPKxlAv_cA" general="_hm_8_ehhEeullPKxlAv_cA"/>
      </packagedElement>
      <packagedElement xmi:type="uml:DataType" xmi:id="_hm_9FehhEeullPKxlAv_cA" name="UInt64">
        <generalization xmi:type="uml:Generalization" xmi:id="_hm_9FuhhEeullPKxlAv_cA" general="_hm_8_ehhEeullPKxlAv_cA"/>
      </packagedElement>
      <packagedElement xmi:type="uml:DataType" xmi:id="_hm_9F-hhEeullPKxlAv_cA" name="Image">
        <generalization xmi:type="uml:Generalization" xmi:id="_hm_9GOhhEeullPKxlAv_cA" general="_hm_84ehhEeullPKxlAv_cA"/>
      </packagedElement>
      <packagedElement xmi:type="uml:DataType" xmi:id="_hm_9GehhEeullPKxlAv_cA" name="GIF">
        <generalization xmi:type="uml:Generalization" xmi:id="_hm_9GuhhEeullPKxlAv_cA" general="_hm_9F-hhEeullPKxlAv_cA"/>
      </packagedElement>
      <packagedElement xmi:type="uml:DataType" xmi:id="_hm_9G-hhEeullPKxlAv_cA" name="BMP">
        <generalization xmi:type="uml:Generalization" xmi:id="_hm_9HOhhEeullPKxlAv_cA" general="_hm_9F-hhEeullPKxlAv_cA"/>
      </packagedElement>
      <packagedElement xmi:type="uml:DataType" xmi:id="_hm_9HehhEeullPKxlAv_cA" name="PNG">
        <generalization xmi:type="uml:Generalization" xmi:id="_hm_9HuhhEeullPKxlAv_cA" general="_hm_9F-hhEeullPKxlAv_cA"/>
      </packagedElement>
      <packagedElement xmi:type="uml:DataType" xmi:id="_hm_9H-hhEeullPKxlAv_cA" name="JPG">
        <generalization xmi:type="uml:Generalization" xmi:id="_hm_9IOhhEeullPKxlAv_cA" general="_hm_9F-hhEeullPKxlAv_cA"/>
      </packagedElement>
      <packagedElement xmi:type="uml:Enumeration" xmi:id="_hm_9IehhEeullPKxlAv_cA" name="Enumeration">
        <generalization xmi:type="uml:Generalization" xmi:id="_hm_9IuhhEeullPKxlAv_cA" general="_hm_81uhhEeullPKxlAv_cA"/>
      </packagedElement>
      <packagedElement xmi:type="uml:Enumeration" xmi:id="_hm_9I-hhEeullPKxlAv_cA" name="NodeCLass">
        <generalization xmi:type="uml:Generalization" xmi:id="_hm_9JOhhEeullPKxlAv_cA" general="_hm_9IehhEeullPKxlAv_cA"/>
      </packagedElement>
      <packagedElement xmi:type="uml:Enumeration" xmi:id="_hm_9JehhEeullPKxlAv_cA" name="IdType">
        <generalization xmi:type="uml:Generalization" xmi:id="_hm_9JuhhEeullPKxlAv_cA" general="_hm_9IehhEeullPKxlAv_cA"/>
      </packagedElement>
      <packagedElement xmi:type="uml:Enumeration" xmi:id="_hm_9J-hhEeullPKxlAv_cA" name="NamingRuleType">
        <generalization xmi:type="uml:Generalization" xmi:id="_hm_9KOhhEeullPKxlAv_cA" general="_hm_9IehhEeullPKxlAv_cA"/>
      </packagedElement>
      <packagedElement xmi:type="uml:Enumeration" xmi:id="_hm_9KehhEeullPKxlAv_cA" name="DeviceHealthEnumeration">
        <generalization xmi:type="uml:Generalization" xmi:id="_hm_9KuhhEeullPKxlAv_cA" general="_hm_9IehhEeullPKxlAv_cA"/>
        <ownedLiteral xmi:type="uml:EnumerationLiteral" xmi:id="_hm_9K-hhEeullPKxlAv_cA" name="NORMAL">
          <ownedComment xmi:type="uml:Comment" xmi:id="_hm_9LOhhEeullPKxlAv_cA" annotatedElement="_hm_9K-hhEeullPKxlAv_cA">
            <body>This device functions normally.</body>
          </ownedComment>
          <specification xmi:type="uml:LiteralInteger" xmi:id="_hm_9LehhEeullPKxlAv_cA"/>
        </ownedLiteral>
        <ownedLiteral xmi:type="uml:EnumerationLiteral" xmi:id="_hm_9LuhhEeullPKxlAv_cA" name="FAILURE">
          <ownedComment xmi:type="uml:Comment" xmi:id="_hm_9L-hhEeullPKxlAv_cA" annotatedElement="_hm_9LuhhEeullPKxlAv_cA">
            <body>Malfunction of the device or any of its peripherals.</body>
          </ownedComment>
          <specification xmi:type="uml:LiteralInteger" xmi:id="_hm_9MOhhEeullPKxlAv_cA" value="1"/>
        </ownedLiteral>
        <ownedLiteral xmi:type="uml:EnumerationLiteral" xmi:id="_hm_9MehhEeullPKxlAv_cA" name="CHECK_FUNCTION">
          <ownedComment xmi:type="uml:Comment" xmi:id="_hm_9MuhhEeullPKxlAv_cA" annotatedElement="_hm_9MehhEeullPKxlAv_cA">
            <body>Functional checks are currently performed.</body>
          </ownedComment>
          <specification xmi:type="uml:LiteralInteger" xmi:id="_hm_9M-hhEeullPKxlAv_cA" value="2"/>
        </ownedLiteral>
        <ownedLiteral xmi:type="uml:EnumerationLiteral" xmi:id="_hm_9NOhhEeullPKxlAv_cA" name="OFF_SPEC">
          <ownedComment xmi:type="uml:Comment" xmi:id="_hm_9NehhEeullPKxlAv_cA" annotatedElement="_hm_9NOhhEeullPKxlAv_cA">
            <body>The device is currently working outside of its specified range or that internal diagnoses indicate deviations from measured or set values.</body>
          </ownedComment>
          <specification xmi:type="uml:LiteralInteger" xmi:id="_hm_9NuhhEeullPKxlAv_cA" value="3"/>
        </ownedLiteral>
        <ownedLiteral xmi:type="uml:EnumerationLiteral" xmi:id="_hm_9N-hhEeullPKxlAv_cA" name="MAINTENANCE_REQUIRED">
          <ownedComment xmi:type="uml:Comment" xmi:id="_hm_9OOhhEeullPKxlAv_cA" annotatedElement="_hm_9N-hhEeullPKxlAv_cA">
            <body>This element is working, but a maintenance operation is required.</body>
          </ownedComment>
          <specification xmi:type="uml:LiteralInteger" xmi:id="_hm_9OehhEeullPKxlAv_cA" value="4"/>
        </ownedLiteral>
      </packagedElement>
      <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_hm_9OuhhEeullPKxlAv_cA">
        <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_hm_9O-hhEeullPKxlAv_cA" source="http://www.eclipse.org/uml2/2.0.0/UML">
          <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/uml2/5.0.0/UML/Profile/Standard#/"/>
        </eAnnotations>
        <appliedProfile xmi:type="uml:Profile" href="pathmap://UML_PROFILES/Standard.profile.uml#_0"/>
      </profileApplication>
    </packagedElement>
    <packagedElement xmi:type="uml:DataType" xmi:id="_FXpXcFHmEey986b427xQRw" name="ParameterSetAxisType">
      <ownedAttribute xmi:type="uml:Property" xmi:id="_m5fW4L7wEeufC8FGusw1Kw" name="ActualAcceleration">
        <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/JavaPrimitiveTypes.library.uml#double"/>
        <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_ETEgAL7xEeufC8FGusw1Kw"/>
      </ownedAttribute>
      <ownedAttribute xmi:type="uml:Property" xmi:id="_jmYnYL7wEeufC8FGusw1Kw" name="ActualPosition">
        <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/JavaPrimitiveTypes.library.uml#double"/>
      </ownedAttribute>
      <ownedAttribute xmi:type="uml:Property" xmi:id="_lCrmQL7wEeufC8FGusw1Kw" name="ActualSpeed">
        <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/JavaPrimitiveTypes.library.uml#double"/>
        <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_DszxQL7xEeufC8FGusw1Kw"/>
      </ownedAttribute>
      <ownedAttribute xmi:type="uml:Property" xmi:id="_OYqAMHOsEeyVaphoJbXfdQ" name="notCS_AxisState" type="_kdnsMHOsEeyVaphoJbXfdQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Enumeration" xmi:id="_kdnsMHOsEeyVaphoJbXfdQ" name="AxisStateEnumeration">
      <ownedLiteral xmi:type="uml:EnumerationLiteral" xmi:id="_oqsJkHOsEeyVaphoJbXfdQ" name="JOINT_SHUTTING_DOWN_MODE">
        <ownedComment xmi:type="uml:Comment" xmi:id="_oqsJkXOsEeyVaphoJbXfdQ" annotatedElement="_oqsJkHOsEeyVaphoJbXfdQ">
          <body>Linear motion is a one dimensional motion along a straight line with defined limits. Motion movement is not going always in the same direction. Control unit is mainly mm.</body>
        </ownedComment>
        <specification xmi:type="uml:LiteralInteger" xmi:id="_oqsJknOsEeyVaphoJbXfdQ" value="236"/>
      </ownedLiteral>
      <ownedLiteral xmi:type="uml:EnumerationLiteral" xmi:id="_oqvz8HOsEeyVaphoJbXfdQ" name="JOINT_PART_D_CALIBRATION_MODE">
        <ownedComment xmi:type="uml:Comment" xmi:id="_oqvz8XOsEeyVaphoJbXfdQ" annotatedElement="_oqvz8HOsEeyVaphoJbXfdQ">
          <body>Linear motion is a one dimensional motion along a straight line with no limits. Motion movement is going endless in the same direction. Control unit is mainly mm.</body>
        </ownedComment>
        <specification xmi:type="uml:LiteralInteger" xmi:id="_oqvz8nOsEeyVaphoJbXfdQ" value="237"/>
      </ownedLiteral>
      <ownedLiteral xmi:type="uml:EnumerationLiteral" xmi:id="_oqxCEHOsEeyVaphoJbXfdQ" name=" JOINT_BACKDRIVE_MODE">
        <ownedComment xmi:type="uml:Comment" xmi:id="_oqxCEXOsEeyVaphoJbXfdQ" annotatedElement="_oqxCEHOsEeyVaphoJbXfdQ">
          <body>Any motion-profile which is not defined by the AxisMotionProfileEnumeration</body>
        </ownedComment>
        <specification xmi:type="uml:LiteralInteger" xmi:id="_oqxCEnOsEeyVaphoJbXfdQ" value="238"/>
      </ownedLiteral>
      <ownedLiteral xmi:type="uml:EnumerationLiteral" xmi:id="_oqyQMHOsEeyVaphoJbXfdQ" name="JOINT_POWER_OFF_MODE">
        <ownedComment xmi:type="uml:Comment" xmi:id="_oqyQMXOsEeyVaphoJbXfdQ" annotatedElement="_oqyQMHOsEeyVaphoJbXfdQ">
          <body>Rotary motion is a rotation along a circular path with defined limits. Motion movement is not going always in the same direction. Control unit is mainly degree.</body>
        </ownedComment>
        <specification xmi:type="uml:LiteralInteger" xmi:id="_oqyQMnOsEeyVaphoJbXfdQ" value="239"/>
      </ownedLiteral>
      <ownedLiteral xmi:type="uml:EnumerationLiteral" xmi:id="_oq3IsHOsEeyVaphoJbXfdQ" name="JOINT_NOT_RESPONDING_MODE">
        <ownedComment xmi:type="uml:Comment" xmi:id="_oq3IsXOsEeyVaphoJbXfdQ" annotatedElement="_oq3IsHOsEeyVaphoJbXfdQ">
          <body>Rotary motion is a rotation along a circular path with no limits. Motion movement is going endless in the same direction. Control unit is mainly degree.</body>
        </ownedComment>
        <specification xmi:type="uml:LiteralInteger" xmi:id="_oq3IsnOsEeyVaphoJbXfdQ" value="245"/>
      </ownedLiteral>
      <ownedLiteral xmi:type="uml:EnumerationLiteral" xmi:id="_7NevUHOsEeyVaphoJbXfdQ" name="JOINT_MOTOR_INITIALISATION_MODE">
        <ownedComment xmi:type="uml:Comment" xmi:id="_7NevUXOsEeyVaphoJbXfdQ" annotatedElement="_7NevUHOsEeyVaphoJbXfdQ">
          <body>Linear motion is a one dimensional motion along a straight line with defined limits. Motion movement is not going always in the same direction. Control unit is mainly mm.</body>
        </ownedComment>
        <specification xmi:type="uml:LiteralInteger" xmi:id="_7NevUnOsEeyVaphoJbXfdQ" value="246"/>
      </ownedLiteral>
      <ownedLiteral xmi:type="uml:EnumerationLiteral" xmi:id="_7NhLkHOsEeyVaphoJbXfdQ" name="JOINT_BOOTING_MODE">
        <ownedComment xmi:type="uml:Comment" xmi:id="_7NhLkXOsEeyVaphoJbXfdQ" annotatedElement="_7NhLkHOsEeyVaphoJbXfdQ">
          <body>Linear motion is a one dimensional motion along a straight line with no limits. Motion movement is going endless in the same direction. Control unit is mainly mm.</body>
        </ownedComment>
        <specification xmi:type="uml:LiteralInteger" xmi:id="_7NhLknOsEeyVaphoJbXfdQ" value="247"/>
      </ownedLiteral>
      <ownedLiteral xmi:type="uml:EnumerationLiteral" xmi:id="_7NkO4HOsEeyVaphoJbXfdQ" name="JOINT_PART_D_CALIBRATION_ERROR_MODE">
        <ownedComment xmi:type="uml:Comment" xmi:id="_7NkO4XOsEeyVaphoJbXfdQ" annotatedElement="_7NkO4HOsEeyVaphoJbXfdQ">
          <body>Any motion-profile which is not defined by the AxisMotionProfileEnumeration</body>
        </ownedComment>
        <specification xmi:type="uml:LiteralInteger" xmi:id="_7NkO4nOsEeyVaphoJbXfdQ" value="248"/>
      </ownedLiteral>
      <ownedLiteral xmi:type="uml:EnumerationLiteral" xmi:id="_7NpHYHOsEeyVaphoJbXfdQ" name="JOINT_BOOTLOADER_MODE">
        <ownedComment xmi:type="uml:Comment" xmi:id="_7NpHYXOsEeyVaphoJbXfdQ" annotatedElement="_7NpHYHOsEeyVaphoJbXfdQ">
          <body>Rotary motion is a rotation along a circular path with defined limits. Motion movement is not going always in the same direction. Control unit is mainly degree.</body>
        </ownedComment>
        <specification xmi:type="uml:LiteralInteger" xmi:id="_7NpHYnOsEeyVaphoJbXfdQ" value="249"/>
      </ownedLiteral>
      <ownedLiteral xmi:type="uml:EnumerationLiteral" xmi:id="_7NrjoHOsEeyVaphoJbXfdQ" name="JOINT_CALIBRATION_MODE">
        <ownedComment xmi:type="uml:Comment" xmi:id="_7NrjoXOsEeyVaphoJbXfdQ" annotatedElement="_7NrjoHOsEeyVaphoJbXfdQ">
          <body>Rotary motion is a rotation along a circular path with no limits. Motion movement is going endless in the same direction. Control unit is mainly degree.</body>
        </ownedComment>
        <specification xmi:type="uml:LiteralInteger" xmi:id="_7NrjonOsEeyVaphoJbXfdQ" value="250"/>
      </ownedLiteral>
      <ownedLiteral xmi:type="uml:EnumerationLiteral" xmi:id="_QAttsHOtEeyVaphoJbXfdQ" name="JOINT_FAULT_MODE">
        <specification xmi:type="uml:LiteralInteger" xmi:id="_ShjSwHOtEeyVaphoJbXfdQ" value="252"/>
      </ownedLiteral>
      <ownedLiteral xmi:type="uml:EnumerationLiteral" xmi:id="_dJVJwHOtEeyVaphoJbXfdQ" name="JOINT_RUNNING_MODE">
        <ownedComment xmi:type="uml:Comment" xmi:id="_dJVJwXOtEeyVaphoJbXfdQ" annotatedElement="_dJVJwHOtEeyVaphoJbXfdQ">
          <body>Any motion-profile which is not defined by the AxisMotionProfileEnumeration</body>
        </ownedComment>
        <specification xmi:type="uml:LiteralInteger" xmi:id="_dJVJwnOtEeyVaphoJbXfdQ" value="253"/>
      </ownedLiteral>
      <ownedLiteral xmi:type="uml:EnumerationLiteral" xmi:id="_dJapUHOtEeyVaphoJbXfdQ" name="JOINT_IDLE_MODE">
        <ownedComment xmi:type="uml:Comment" xmi:id="_dJapUXOtEeyVaphoJbXfdQ" annotatedElement="_dJapUHOtEeyVaphoJbXfdQ">
          <body>Rotary motion is a rotation along a circular path with defined limits. Motion movement is not going always in the same direction. Control unit is mainly degree.</body>
        </ownedComment>
        <specification xmi:type="uml:LiteralInteger" xmi:id="_dJapUnOtEeyVaphoJbXfdQ" value="255"/>
      </ownedLiteral>
    </packagedElement>
    <packagedElement xmi:type="uml:Enumeration" xmi:id="_wEUk0HqXEeynZJyQO_R7bQ" name="ModeEnum">
      <ownedLiteral xmi:type="uml:EnumerationLiteral" xmi:id="_xuEw4HqXEeynZJyQO_R7bQ" name="DISCONNECTED">
        <specification xmi:type="uml:LiteralInteger" xmi:id="_E9ucoHqYEeynZJyQO_R7bQ"/>
      </ownedLiteral>
      <ownedLiteral xmi:type="uml:EnumerationLiteral" xmi:id="_HNGeQHqYEeynZJyQO_R7bQ" name="CONFIRM_SAFETY">
        <specification xmi:type="uml:LiteralInteger" xmi:id="_HNGeQXqYEeynZJyQO_R7bQ" value="1"/>
      </ownedLiteral>
      <ownedLiteral xmi:type="uml:EnumerationLiteral" xmi:id="_HVLcMHqYEeynZJyQO_R7bQ" name="BOOTING">
        <specification xmi:type="uml:LiteralInteger" xmi:id="_HVLcMXqYEeynZJyQO_R7bQ" value="2"/>
      </ownedLiteral>
      <ownedLiteral xmi:type="uml:EnumerationLiteral" xmi:id="_HfnKkHqYEeynZJyQO_R7bQ" name="POWER_OFF">
        <specification xmi:type="uml:LiteralInteger" xmi:id="_HfnKkXqYEeynZJyQO_R7bQ" value="3"/>
      </ownedLiteral>
      <ownedLiteral xmi:type="uml:EnumerationLiteral" xmi:id="_HvEi4HqYEeynZJyQO_R7bQ" name="POWER_ON">
        <specification xmi:type="uml:LiteralInteger" xmi:id="_HvEi4XqYEeynZJyQO_R7bQ" value="4"/>
      </ownedLiteral>
      <ownedLiteral xmi:type="uml:EnumerationLiteral" xmi:id="_H57vEHqYEeynZJyQO_R7bQ" name="IDLE">
        <specification xmi:type="uml:LiteralInteger" xmi:id="_H57vEXqYEeynZJyQO_R7bQ" value="5"/>
      </ownedLiteral>
      <ownedLiteral xmi:type="uml:EnumerationLiteral" xmi:id="_WMxikHqYEeynZJyQO_R7bQ" name="BACKDRIVE">
        <specification xmi:type="uml:LiteralInteger" xmi:id="_WMxikXqYEeynZJyQO_R7bQ" value="6"/>
      </ownedLiteral>
      <ownedLiteral xmi:type="uml:EnumerationLiteral" xmi:id="_WQ5NkHqYEeynZJyQO_R7bQ" name="RUNNING">
        <specification xmi:type="uml:LiteralInteger" xmi:id="_WQ5NkXqYEeynZJyQO_R7bQ" value="7"/>
      </ownedLiteral>
    </packagedElement>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_gqMe0L-7EeufC8FGusw1Kw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_gqNF4L-7EeufC8FGusw1Kw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="pathmap://UML_PROFILES/Ecore.profile.uml#_z1OFcHjqEdy8S4Cr8Rc_NA"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://UML_PROFILES/Ecore.profile.uml#_0"/>
    </profileApplication>
  </uml:Profile>
  <Ecore:EPackage xmi:id="_pE4MIL-7EeufC8FGusw1Kw" base_Package="_JZ55MIr3Eeuf2siuKNDm8w" packageName="opcuaroboticsprofile" nsPrefix="OPCUARoboticsProfile" nsURI="http://Papyrus/OPCUARoboticsProfile" basePackage="org.eclipse.papyrus.ocpua.robotics.profile" prefix="OPCUARoboticsProfile"/>
</xmi:XMI>
